Bug 62306 - mc can't use #trpm virtual file system
mc can't use #trpm virtual file system
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mc (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-29 08:54 EST by Marco Lusini
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-01 14:35:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Lusini 2002-03-29 08:54:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
When I use mc to browse through installed RPM's, using #rpms virtual file 
system, I can't browse in the details of any package.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. launch mc
2. cd #rpms
3. browse to any package
4. press enter key
	

Actual Results:  There is an error message in a red window.

Expected Results:  mc should have showed the content of the installed rpm as a 
file
system.

Additional info:

BUG FIX:
There is an error in file /usr/lib/mc/extfs/trpm: the last
line of function mcrpmfs_list() should read
rpm -qlv $1
i.e. with no sed post-processing.

BTW, it would be useful adding to mc the ability to view the contents
of RPM's, by adding the line
View=%view{ascii} rpm -qivl --scripts -p %p
to the handlers for rpm, in the System Wide extension.
Comment 1 Havoc Pennington 2002-04-12 17:37:38 EDT
fixed in mc 4.5.55-5

Note You need to log in before you can comment on or make changes to this bug.